<?php
/**
 * ISubject interface
 * @author Jérôme Brilland
 * @version 1.0
 * @copyright (c) 2023, Jérôme Brilland
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License
 */
interface ISubject {
    
    public function attach( IObserver $observer );
    public function detach( IObserver $observer );
    public function notify();
    
}
